<?php

namespace backups;
require_once WD . '/modules/backups/config/backups_enabled_c.php';

use backups\config\backups_enabled_c;
use traits\module_config_t;

class backups_c
{
    use module_config_t;

    /**
     * The status of Backups, whether it is enabled or not
     * @var backups_enabled_c
     */
    public backups_enabled_c $enabled;


    public function __construct()
    {
        $this->setupConfig('Backups');
        $this->allowUpdate([
            backups_enabled_c::class,
        ]);
        $this->enabled = new backups_enabled_c();
    }

}